export declare class TLRU<U, T> extends Map<U, T> {
    private maxStoreSize;
    private maxAgeMs;
    private readonly scheduler;
    private readonly disposer?;
    private defaultLRU;
    constructor(options?: {
        maxStoreSize?: number;
        maxAgeMs?: number;
        defaultLRU?: boolean;
        disposer?: (obj: T) => void;
    });
    set(key: U, value: T, ttuMs?: number): this;
    get(key: U, revive?: boolean): T | undefined;
    delete(key: U): boolean;
    clear(): void;
    toJSON(): [U, T][];
}
